Package org.bukkit.block.data.type

# Interface TNT

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface TNT extends BlockData
'unstable' indicates whether this TNT will explode on punching.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isUnstable()`
Gets the value of the 'unstable' property.
`void`
`setUnstable(boolean unstable)`
Sets the value of the 'unstable' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isUnstable

boolean isUnstable()
Gets the value of the 'unstable' property.

Returns:
  the 'unstable' value

### setUnstable

void setUnstable(boolean unstable)
Sets the value of the 'unstable' property.

Parameters:
  `unstable` - the new 'unstable' value